"use strict";
// Copyright 2021 Google LLC. Use of this source code is governed by an
// MIT-style license that can be found in the LICENSE file or at
// https://opensource.org/licenses/MIT.
Object.defineProperty(exports, "__esModule", { value: true });
exports.compilerPath = void 0;
const fs = require("fs");
const p = require("path");
/** The path to the embedded compiler executable. */
exports.compilerPath = (() => {
    for (const path of ['vendor', '../../../lib/src/vendor']) {
        const executable = p.resolve(__dirname, path, `dart-sass-embedded/dart-sass-embedded${process.platform === 'win32' ? '.bat' : ''}`);
        if (fs.existsSync(executable))
            return executable;
    }
    throw new Error("Embedded Dart Sass couldn't find the embedded compiler executable.");
})();
//# sourceMappingURL=compiler-path.js.map